this_dir = fileparts (mfilename ('fullpath'));
addpath (fullfile (this_dir, 'my_code'));


%%--- Problem data ---

% Objective function
f = @(x) my_code (x, 1);

% Constraints
g = @(x) (my_code (x, 2:5))';

% Bounds
lb = [0.0; 0.0];
ub = [1.0; 1.0];

% Starting point
x0 = [0.5; 0.5];


%%--- An example of a (good) feasible point

x_opt1 = [1.0000; 0.9879];
y_opt1 = my_code (x_opt1, 1:5)


%%--- Try to use sqp ()

% Optimize --> fails because of an infeasible QP subprogram
x_opt2 = sqp (x0, f, [], g, lb, ub)

% Check solution
y_opt2 = my_code (x_opt2, 1:5)
