function y = my_code (x, idx)

persistent Ibox I1 I2 f g

if isempty (Ibox)
    this_dir = fileparts (mfilename ('fullpath'));
    s = load (fullfile (this_dir, 'data.mat'));
    I1 = s.I1(:);
    I2 = s.I2(:);
    Ibox = [min([I1 I2]); max([I1 I2])];
    f = s.ff;
    g = s.gg;
end

x = reshape (x, 1, 2);
I = Ibox(1, :) + (diff (Ibox)) .* x;

y = zeros (1, length (idx));
for k = 1:(length (idx)),
    if idx(k) == 1
        y(k) = interp2 (I1, I2, f, I(1), I(2), 'spline');
    else
        j = idx(k) - 1;
        y(k) = interp2 (I1, I2, g(:, :, j), I(1), I(2), 'spline');
    end
end

end
